## unicon 3.0.4

=== scripts/Makefile ===
prefix=/usr
all:
install:
	if [ ! -d $(prefix)/bin ] ; then mkdir -p $(prefix)/bin; fi
	echo Installing unicon startup script into system directory...
	install -m 755 -o root -g root unicon-start $(prefix)/bin/unicon-start
	install -m 755 -o root -g root unicon-init /etc/rc.d/init.d/unicon
	chkconfig --add unicon
	chkconfig unicon on
clean:
	rm -f core *.bak *~

distclean: clean
	rm -f Makefile

=== unicon/ImmModules/cxterm/dict/jis/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	Punct.cit QJ.cit ROMKANA.cit TCODE.cit

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ROMKANA.cit: ROMKANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TCODE.cit: TCODE.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

## unicon 3.0.4+dfsg1

=== unicon/ImmModules/cxterm/dict/big5/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	4Corner.cit ARRAY30.cit Boshiamy.cit CangJie.cit 	ETZY.cit English.cit HSU.cit PY.cit 	Punct.cit QJ.cit Simplex.cit ZOZY.cit 	simple.lx

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

4Corner.cit: 4Corner.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ARRAY30.cit: ARRAY30.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Boshiamy.cit: Boshiamy.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CangJie.cit: CangJie.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ETZY.cit: ETZY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

English.cit: English.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HSU.cit: HSU.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

PY.cit: PY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Simplex.cit: Simplex.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

ZOZY.cit: ZOZY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

=== unicon/ImmModules/cxterm/dict/gb/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	CCDOSPY.cit CTLau.cit CangJie.cit English.cit 	HIRAGANA.cit KATAKANA.cit PY.cit Punct.cit 	QJ.cit QianMa.cit SW.cit TONEPY.cit 	TeleCode.cit WuBi.cit 	simple.lx

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

CCDOSPY.cit: CCDOSPY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CTLau.cit: CTLau.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

CangJie.cit: CangJie.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

English.cit: English.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HIRAGANA.cit: HIRAGANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

KATAKANA.cit: KATAKANA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

PY.cit: PY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QianMa.cit: QianMa.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

SW.cit: SW.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TONEPY.cit: TONEPY.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

TeleCode.cit: TeleCode.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

WuBi.cit: WuBi.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

=== unicon/ImmModules/cxterm/dict/ks/Makefile ===
DICTCFLAGS =
DICTC = ../../utils/tit2cit

DICTDIR = $(LIBDIR)/cxterm.dic

OBJS =	HANGUL.cit HANJA.cit Punct.cit QJ.cit

all::  $(OBJS)

clean::
	$(RM) *.cit core *~ *.bak tags TAGS

HANGUL.cit: HANGUL.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

HANJA.cit: HANJA.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

Punct.cit: Punct.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

QJ.cit: QJ.tit
	$(DICTC) $(DICTCFLAGS) $? > $@

=== debian/changelog ===
unicon (3.0.4+dfsg1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098036)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 18:45:08 +0300

unicon (3.0.4+dfsg1-7) unstable; urgency=medium

  [ xiao sheng wen ]
  * d/copyright: add infos checked by lrc. (Closes: #1078221)

  [ Boyuan Yang ]
  * debian/control: Use dh-sequence-pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 14:33:41 -0500

unicon (3.0.4+dfsg1-6) unstable; urgency=medium

  [ xiao sheng wen ]
  * d/clean: add clean confdefs.h config.log config.cache
  * d/control: Bump Standards-Version: 4.7.0, no change needed
  * add d/p/fix-configure-gcc14.patch: partly fix ftbfs with GCC-14, see#1075605
  * update d/unicon-imc2.lintian-overrides

  [ LI Daobing ]
  * add patch for gcc14: d/p/013-gcc14.patch, 014-gcc14.patch(Closes: #1075605)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 08 Aug 2024 18:02:54 +0800

unicon (3.0.4+dfsg1-5) unstable; urgency=medium

  * Fix "FTBFS: error: implicit declaration of function
    [-Werror=implicit-function-declaration]"
    add d/p/011-add-include-ctype.h.patch(Closes: #1066279)
  * d/copyright: update year info to 2024
  * Bump Standards-Version: 4.6.2

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 14 Mar 2024 09:45:54 +0800

unicon (3.0.4+dfsg1-4) unstable; urgency=medium

  [ NIIBE Yutaka ]
  * debian/control (Build-Depends): Remove libpth-dev, actually not used at all.
  * debian/patches/005-fix-no-pth.patch: New.
  * debian/unicon-imc2.symbols: Update.

  [ xiao sheng wen(肖盛文) ]
  * Bump Standards-Version: 4.6.0
  * d/copyright: update debian dir year info
  * d/patches: add some files for blhc check
               add @LDFLAGS@ @CPPFLAGS@ in Makefile.in

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 01 Dec 2021 16:52:05 +0800

unicon (3.0.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Refresh library symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jan 2021 18:57:13 -0500

unicon (3.0.4+dfsg1-2) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  d/control:
    - Bump to debhelper-compat (= 13)
    - Bump Standards-Version to 4.5.1
    - New Maintainer: Debian Chinese Team
      <chinese-developers@lists.alioth.debian.org> (Closes: #629016)
    - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
    - delete the chinput package from Conflicts list,
      it don't exist in Debian now.
    - add Rules-Requires-Root: binary-targets
    - update lintian overrides files
    - add Vcs-Browser: Vcs-Git:
  * d/rules:
      - use dh-sequencer
      - convert text from gb2312,ISO8859-16 character encoding to UTF-8
  * delete unused d/TODO.Debian
  * Trim trailing whitespace.
  * 001-debian-changes.patch: add Forwarded: not-needed
  * 001-debian-changes.patch: fix spelling-error
  * add 002-fix-spelling-error-xl_intcode.c.patch
  * fix lintian: package-contains-empty-directory usr/bin/
  * add unicon-imc2.symbols
  * d/copyright: use dep5-copyright

  [ Arthur Marble ]
  * Fix the FTBFS with clang (Closes: #739924)
    - Fixed return void in unicon/ImmModules/cce/inputs/tab2dat.c

  [ Michael Tautschnig ]
  * Fix PhraseLevel declared without type (Closes: #795725)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 07 Jan 2021 23:17:06 +0800

unicon (3.0.4+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * Repackage source without the following files not having
    a DFSG-compatible license. Closes: #840573.
    - unicon/ImmModules/cxterm/utils/HZutil.c
    - unicon/ImmModules/cxterm/utils/HZtable.h
    Reported by Joao Eriberto Mota Filho.
  * Switch to "3.0 (quilt)" source format. Move old debian/patches to
    debian/patches-old for reference and documentation purposes.
  * Add debian/clean with files that should not be part of source package.
  * Drop -fPIC from previous upload, it is not necessary.
    Thanks to Adrian Bunk for the report. Closes: #842098.
  * Do some clean up of debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Oct 2016 19:35:22 +0200

unicon (3.0.4-15) unstable; urgency=medium

  * QA upload.
  * Compile libimmclient.a with -fPIC and also use hardened CFLAGS (Closes: #837583)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 29 Sep 2016 17:21:52 +0200

unicon (3.0.4-14) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Enable hardened build flags. (Closes: #658043).
  * Fix typo in package description. (Closes: #713900).
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9. Remove DH_COMPAT from
    debian/rules.
  * Add dependency on ${misc:Depends}.
  * Add missing recommended targets: build-{arch,indep}.
  * Replace deprecated usage of dh_clean -k with dh_prep.
  * Do not ignore make distclean errors.
  * Remove empty postinst script.
  * Explicitly point to /usr/share/common-licenses/GPL-2 in copyright file.

 -- Emanuele Rocca <ema@debian.org>  Thu, 20 Mar 2014 15:27:26 +0100

unicon (3.0.4-13) unstable; urgency=low

  * Depend on x11proto-core-dev instead of x-dev. (Closes:Bug515485)

 -- Yu Guanghui <ygh@debian.org>  Thu, 19 Feb 2009 20:18:32 +0800

unicon (3.0.4-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3 by replacing obsolete headers with their modern
    versions, and by using namespace “std” when needed (Closes: #461689).
     + Add debian/patches/fix_ftbfs_with_gcc-4.3.patch

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 17 Mar 2008 05:11:19 +0100

unicon (3.0.4-12) unstable; urgency=low

  * Merged CVE-2007-2835  to unstable. (Closes:Bug#431336)

 -- Yu Guanghui <ygh@debian.org>  Mon, 06 Aug 2007 13:50:51 +0800

unicon (3.0.4-11etch1) stable-security; urgency=high

  * Non-maintainer upload by The Security Team.
  * Fix the unsafe use of environmental variables.
    [CVE-2007-2835]

 -- Steve Kemp <skx@debian.org>  Tue, 24 Jul 2007 15:02:42 +0000

unicon (3.0.4-11) unstable; urgency=low



=== debian/control ===
Source: unicon
Section: utils
Build-Depends: debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 x11proto-core-dev,
 libx11-dev,
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: xiao sheng wen <atzlinux@sina.com>,
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/chinese-team/unicon
Vcs-Git: https://salsa.debian.org/chinese-team/unicon.git

Package: unicon-imc2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: unicon-im
Replaces: unicon-im
Provides: unicon-im
Description: Chinese Input Method Library
 General Chinese Input method interface and API. It is used by chinput and
 unicon now.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# shared library versions, option 1
version=0.0
major=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_configure:
	./configure --build=$(DEB_HOST_MULTIARCH) --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/$(DEB_HOST_MULTIARCH) --disable-maintainer-mode --disable-dependency-tracking

execute_after_dh_auto_build:
	$(MAKE) data

override_dh_auto_install:
	$(MAKE) install prefix=`pwd`/debian/unicon-imc2/usr DESTDIR=`pwd`/debian/unicon-imc2/usr
	$(MAKE) data-install prefix=`pwd`/debian/unicon-imc2/usr
	rm -rv `pwd`/debian/unicon-imc2/usr/bin

execute_after_dh_installdocs:
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/README_cn debian/unicon-imc2/usr/share/doc/unicon-imc2/README_cn
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/RELEASE_cn debian/unicon-imc2/usr/share/doc/unicon-imc2/RELEASE_cn
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/unicon_font_header.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/unicon_font_header.txt
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/tech_unicon.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/tech_unicon.txt
	iconv -f gb2312 -t UTF-8 -o debian/unicon-imc2/usr/share/doc/unicon-imc2/whitepaper_unicon.txt debian/unicon-imc2/usr/share/doc/unicon-imc2/whitepaper_unicon.txt
